
Foreman - Refactor #32408

Tracker # 29939 (Closed): Improve setting definition DSL and move setting registry to memory

Use new DSL to define settings

04/24/2021 08:33 PM - Ondřej Ezr

Status: Closed   

Priority: Normal   

Assignee: Ondřej Ezr   

Category: Settings   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/8802

  

Description

Subtasks:

Refactor # 11836: Rename Puppet settings to Configuration Closed

Refactor # 32893: Use new DSL to define General settings Closed

Refactor # 33589: Use new DSL to define Authentication settings Closed

Refactor # 33595: Use new DSL to define Email settings Closed

Refactor # 33596: Use new DSL to define Notification settings Closed

Refactor # 33601: Use new DSL to define Provisioning settings Closed

Refactor # 33607: Use new DSL to define Puppet settings Closed

Related issues:

Blocked by Foreman - Feature #32286: Create a new setting definition DSL Closed

Follows Foreman - Refactor #32403: Add custom validations to new setting DSL Closed

Precedes Foreman - Refactor #33781: Deprecate the old setting definitions wit... Closed

History

#1 - 04/24/2021 08:34 PM - Ondřej Ezr

- Follows Refactor #32403: Add custom validations to new setting DSL added

#2 - 04/24/2021 08:34 PM - Ondřej Ezr

- Blocked by Feature #32286: Create a new setting definition DSL added

#3 - 08/12/2021 08:04 AM - Adi Abramovitch

- Assignee set to Adi Abramovitch

#4 - 09/30/2021 02:05 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/8802 added

#5 - 10/20/2021 09:36 PM - Ondřej Ezr

- Status changed from Ready For Testing to New

- Assignee changed from Adi Abramovitch to Ondřej Ezr

#6 - 10/25/2021 10:41 PM - Ondřej Ezr

- Precedes Refactor #33781: Deprecate the old setting definitions without "default_settings" added
#7 - 11/21/2021 08:21 PM - Ondřej Ezr

- Status changed from New to Closed

All core Setting migrated to DSL
